Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class BroascastMessageRequest

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.BroascastMessageRequest

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class BroascastMessageRequest

extends MUCRoomTask

Task that broadcasts a message to local room occupants. When a room occupant sends a message to the room each cluster node will execute this task and broadcast the message to its local room occupants.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`BroascastMessageRequest()`
`BroascastMessageRequest(LocalMUCRoom room, Message message, int occupants)`

Method Summary
`Message` | `getMessage()`
`int` | `getOccupants()`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BroascastMessageRequest

    public BroascastMessageRequest()

### BroascastMessageRequest

    public BroascastMessageRequest(LocalMUCRoom room,
                                   Message message,
                                   int occupants)

Method Detail

### getMessage

    public Message getMessage()

### getOccupants

    public int getOccupants()

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.